$:.push File.expand_path("../lib", __FILE__)

# Maintain your gem's version:
require "user_mgmt/version"

# Describe your gem and declare its dependencies:
Gem::Specification.new do |s|
  s.name        = "user_mgmt"
  s.version     = UserMgmt::VERSION
  s.authors     = ["Danilo Faria, Fernando Gorodscy, Josh Leslie"]
  s.email       = ["su_critic@hotmail.com"] 
  s.description = %q{Includes functionality for site-specific registration and third-party authentication strategies such as social networks (Facebook, Twitter and Linkedin) and freemail providers (Yahoo, Windows Live and Gmail) with support for external database authentication.}
  s.summary     = %q{Various authentication options in an outside database.}
  s.homepage    = "https://github.com/Methos2013/user_mgmt_gem"
  s.license     = "MIT"

  s.files         = `git ls-files`.split($/)
  s.executables   = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files    = s.files.grep(%r{^(test|s|features)/})
  s.require_paths = ["lib"]

  s.add_development_dependency "sqlite3"

  s.add_development_dependency "rspec"
  s.add_development_dependency "genspec"
  s.add_development_dependency "rake"
  s.add_development_dependency "bundler", "~> 1.3"
  
  s.add_runtime_dependency "rails"
  s.add_runtime_dependency "haml"
  s.add_runtime_dependency "haml-rails"
  s.add_runtime_dependency 'sass-rails'
  s.add_runtime_dependency 'bootstrap-sass'
  s.add_runtime_dependency 'omniauth'
  s.add_runtime_dependency 'omniauth-facebook'
  s.add_runtime_dependency 'omniauth-twitter'
  s.add_runtime_dependency 'omniauth-linkedin'
  s.add_runtime_dependency 'omniauth-windowslive'
  s.add_runtime_dependency 'omniauth-yahoo'
  s.add_runtime_dependency "omniauth-google-oauth2"

end
